import { createRouter, createWebHashHistory } from 'vue-router'
import LoginView from '../views/LoginView.vue'
import PortalView from '../views/PortalView.vue'
import UserStoryChatView from '../views/UserStoryChatView.vue'

const routes = [
  {
    path: '/',
    name: 'login',
    component: LoginView
  },
  {
    path: '/portal',
    name: 'portal',
    component: PortalView
  },
  {
    path: '/user-story-chat',
    name: 'user-story-chat',
    component: UserStoryChatView
  }
]

const router = createRouter({
  history: createWebHashHistory(location.pathname),
  routes
})

export default router
